summaryrefslogtreecommitdiff
path: root/dev-python/funcparserlib
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-27 01:38:46 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-27 01:38:46 +0000
commit9ed8764829768af0455855a700dce5cf45bee76a (patch)
tree1b585ebe476b976799d65b4ac9bd0b778a133c25 /dev-python/funcparserlib
parentbadd84a7d64cec73e4b101ce480dc52e6f8ec019 (diff)
downloadbaldeagleos-repo-9ed8764829768af0455855a700dce5cf45bee76a.tar.gz
baldeagleos-repo-9ed8764829768af0455855a700dce5cf45bee76a.tar.xz
baldeagleos-repo-9ed8764829768af0455855a700dce5cf45bee76a.zip
Adding metadata
Diffstat (limited to 'dev-python/funcparserlib')
-rw-r--r--dev-python/funcparserlib/funcparserlib-1.0.0_alpha0-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/funcparserlib/funcparserlib-1.0.0_alpha0-r1.ebuild b/dev-python/funcparserlib/funcparserlib-1.0.0_alpha0-r1.ebuild
new file mode 100644
index 000000000000..10be0ff4738c
--- /dev/null
+++ b/dev-python/funcparserlib/funcparserlib-1.0.0_alpha0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_PV="${PV/_alpha/a}"
+
+DESCRIPTION="Recursive descent parsing library based on functional combinators"
+HOMEPAGE="https://pypi.org/project/funcparserlib/"
+SRC_URI="
+ https://github.com/vlasovskikh/funcparserlib/archive/${MY_PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+BDEPEND="test? ( dev-python/six[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ sed -e '/requires/s:poetry:&-core:' \
+ -e '/backend/s:poetry:&.core:' \
+ -i pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ local DOCS=( doc/*.md )
+ distutils-r1_python_install_all
+}